    <template>
        <v-card 
        class="ma-10"> 

            <!-- Tabs display and config -->
            <v-tabs @update:model-value="changeCurrentTimer" v-model="currentTimer" grow>
                <v-tab
                v-for="timer in timers"
                :key="timer.name"
                >
                    {{ timer.name }}
                </v-tab>

            </v-tabs>

            <!-- Tab contents -->
            
            <v-card
                color="blue-grey-lighten-2"
                class="pa-4 d-flex flex-column align-center"
                flat
                >
                <!-- Timer display -->
                <h1 class="timeClass">
                    {{ displayMinutes }}:{{ displaySeconds }}
                </h1>
                
                <!--Button group -->
                <div class="button-group">
                    <v-btn 
                    @click="start" color="primary" prepend-icon="mdi-play">
                    Start </v-btn>
                    <v-btn 
                    @click="stop" color="error" prepend-icon="mdi-pause">
                    Stop </v-btn>
                    <v-btn 
                    @click="reset(timers[currentTimer].minutes)" :disabled="isRunning" prepend-icon="mdi-replay">
                    Reset </v-btn>
                </div>


            </v-card>
            
        </v-card>

        <v-card
        class="d-flex align-center ma-10">
            <div class="ma-0">
                <v-img
                   width="500px"
                   :aspect-ratio="1"
                    src="\src\assets\download.jpg"
                    ></v-img>
            </div>


        </v-card>

        <v-footer
        class="d-flex flex-column">
            <div class="bg-blue-grey-lighten-2 d-flex w-100 align-center pa-1">
                <strong>  Lookout for the author: </strong> 
            
                <v-spacer></v-spacer>

                <v-btn
                v-for="icon in icons"
                :key="icon"
                class="mx-4"
                :icon="icon"
                variant="plain"
                size="small"
                ></v-btn>
            </div>

            <div class="pa-1 bg-blue-grey-lighten-3 text-center w-100">
                All rights reserved. {{ new Date().getFullYear() }} — developed with <strong>Vuetify</strong>
            </div>
        </v-footer>
    
    </template>

    <script> 
    export default {
        data() {
            return{
                icons: ['mdi-source-repository',
                        'mdi-linkedin',
                        'mdi-application'],
                isRunning: false,
                timerInstance: null,
                totalSeconds: 25 * 60,
                currentTimer: 0,
                timers: [
                    {name: 'Pomodoro', minutes: 25},
                    {name: 'Short Break', minutes: 5},
                    {name: 'Long Break', minutes: 10} ],
                dialog: false
                
            }
        },
        computed:{
            displayMinutes() {
                const minutes = Math.floor(this.totalSeconds / 60)
                return this.formatTime(minutes)
            },
            displaySeconds() {
                const seconds = this.totalSeconds % 60
                return this.formatTime(seconds)
            }

        },

        methods: {
            // formating to string, adding leading zero
            formatTime(time) {
                if (time < 10) {
                    return '0' + time
                }
                return time.toString()
            },      
            start() {
                this.stop()
                this.isRunning = true
                this.timerInstance = setInterval(()=> {
                    if (this.totalSeconds <= 0){
                        this.stop()
                        return
                    }
                    this.totalSeconds -= 1
                },1000)
            },
            stop() {
                this.isRunning = false
                clearInterval(this.timerInstance)
            },
            reset(minutes) {
                this.stop()
                this.totalSeconds = minutes * 60
            },
            changeCurrentTimer(num) {
                this.currentTimer = num
                this.reset(this.timers[num].minutes)
            },
        }
    } 
    
    </script>

    <style lang="sass" scoped>
    .v-card
        width: 500px
    .v-btn
        margin: 0 2px
    .timeClass
        font-size: 64px
        font-weight: 300
        text-align: center
    </style>

    <!-- Thats all folks! -->
    <!-- Author: blackBun -->
